class UserModel {
  final String token;
  final String type;
  final String username;
  final String email;
  final String phone;
  final String firstName;
  final String uuid;

  UserModel({
    required this.token,
    required this.type,
    required this.username,
    required this.email,
    required this.phone,
    required this.firstName,
    required this.uuid,
  });

  factory UserModel.fromJson(Map<String, dynamic> json) {
    return UserModel(
      token: json['token'] as String,
      type: json['type'] as String,
      username: json['username'] as String,
      email: json['email'] as String,
      phone: json['phone'] as String,
      firstName: json['firstName'] as String,
      uuid: json['uuid'] as String,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'token': token,
      'type': type,
      'username': username,
      'email': email,
      'phone': phone,
      'firstName': firstName,
      'uuid': uuid,
    };
  }
}